#
# spec file for package yast2-config-mail (Version 2.5.18)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib dejagnu expect gcc gdbm gettext libscr libtool liby2 libycp libycp-devel libyui libz pam perl rpm tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc

Name:         yast2-config-mail
Version:      2.5.18
Release:      0
License:      YaST License
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-config-mail-2.5.18.tar.bz2
Summary:      YaST2 - Configuration of mailing
Provides:     yast2-config-network:/usr/lib/YaST2/clients/lan_sendmail.ycp
Provides:     yast2-config-sendmail yast2-config-sendmail-devel
Obsoletes:    yast2-config-sendmail yast2-config-sendmail-devel
Requires:     yast2 yast2-trans-mail yast2-lib-sequencer
Requires:     yast2-lib-wizard >= 2.5.8
Requires:     yast2-lib-network
Requires:     yast2-agent-targetpkg
Requires:     yast2-agent-ini >= 2.5.8
BuildArchitectures:	noarch

%description
The YaST2 component for mail configuration.
It handles Sendmail, Postfix and Fetchmail.

Authors:
--------
    Martin Vidner <mvidner@suse.cz>

SuSE series: yast

%prep
%setup -n yast2-config-mail-2.5.18

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
Y2DIR="$RPM_BUILD_ROOT/usr/lib/YaST2" make check

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/lib/YaST2/include/mail
/usr/lib/YaST2/include/mail/*
/usr/lib/YaST2/clients/mail.ycp
/usr/lib/YaST2/clients/mail_*.ycp
/usr/lib/YaST2/modules/Mail.ycp
/usr/lib/YaST2/menuentries/menuentry_mail.y2cc
/usr/lib/YaST2/scrconf/cfg_amavis.scr
/usr/lib/YaST2/scrconf/cfg_mail.scr
/usr/lib/YaST2/scrconf/cfg_postfix.scr
/usr/lib/YaST2/scrconf/cfg_sendmail.scr
/usr/lib/YaST2/scrconf/mail_fetchmail.scr
/usr/lib/YaST2/scrconf/mail_p_aliases.scr
/usr/lib/YaST2/scrconf/mail_p_canonical.scr
/usr/lib/YaST2/scrconf/mail_p_virtual.scr
/usr/lib/YaST2/scrconf/mail_s_aliases.scr
/usr/lib/YaST2/scrconf/mail_s_generics.scr
/usr/lib/YaST2/scrconf/mail_s_virtuser.scr
/usr/lib/YaST2/servers_non_y2/ag_fetchmailrc
/usr/lib/YaST2/servers_non_y2/ag_mailtable
%doc /usr/share/doc/packages/yast2-config-mail

%changelog -n yast2-config-mail
* Fri Mar 07 2003 - mvidner@suse.cz
- Allow numeric user names for fetchmail (#21804).
- 2.5.18
* Mon Mar 18 2002 - mvidner@suse.cz
- Fix adding/editing fetchmail entries (#15130, broken in 2.5.16).
- Don't install fetchmail yet if there are no items configured. (#15060)
- 2.5.17
* Fri Mar 15 2002 - mvidner@suse.cz
- Check that input fields are valid. (#14980)
- Translate the window close button to Abort. (#14948)
- 2.5.16
* Wed Mar 06 2002 - mvidner@suse.cz
- Added manual MTA selection for autoyast. (#14481)
- 2.5.15
* Mon Feb 25 2002 - mvidner@suse.cz
- ag_mailtable: Fixed the last fix.
- 2.5.14
* Fri Feb 22 2002 - mvidner@suse.cz
- Always start sendmail, even without a net connection. (#13188)
- SENDMAIL_ARGS updated.
- ag_mailtable: Don't complain when preloaded from y2cc.
- 2.5.13
* Tue Feb 19 2002 - mvidner@suse.cz
- Hide the button that enables AMaViS if it is not installable.
- 2.5.12
* Mon Feb 18 2002 - mvidner@suse.cz
- Disabled Aliases and Virtual domains buttons for No connection (#13407).
- Fixed disabling of Edit and Delete buttons.
- Improved comment handling in mail tables (aliases etc.)
- 2.5.11
* Fri Feb 15 2002 - mvidner@suse.cz
- Fixed reading and writing of /etc/fetchmailrc.
- Abort if we do not understand user's fetchmailrc, not to overwrite it.
- Another proofreading.
- 2.5.10
* Mon Feb 11 2002 - mvidner@suse.cz
- Don't add brackets to relayhost for Postfix.
- Added headings and focus for input popups.
- 2.5.9
* Wed Feb 06 2002 - mvidner@suse.cz
- Added provides of yast2-config-sendmail-devel and old yast2-config-network.
- Install also fetchmail if needed.
- Present a confirmation message before writing and installing.
- 2.5.8
* Fri Feb 01 2002 - mvidner@suse.cz
- Service activation. (#12986)
- Autoinstallation can disable suseconfig and service activation.
- Aliases and Virtual domains moved out of the main workflow. (#12952)
- Fixed SENDMAIL_ARGS for dial-up.
- Input of Domains to masquerade fixed.
- Had the English texts proofread.
- 2.5.7
* Mon Jan 28 2002 - mvidner@suse.cz
- Check if cf files are not to be touched (MAIL_CREATE_CONFIG).
- Added missing agents.
- Don't log data containing passwords.
- Removed unused functions.
- Added comments for translators.
- 2.5.6
* Mon Jan 21 2002 - mvidner@suse.cz
- Added an option to use a virus scanner (AMaViS).
- 2.5.5
* Tue Jan 15 2002 - mvidner@suse.cz
- Include forgotten agent configurations.
- Obsolete yast2-config-sendmail.
- Using ini-agent instead of rc-agent.
- 2.5.4
* Mon Jan 14 2002 - mvidner@suse.cz
- /etc/fetchmailrc: use permissions 0600, refer to file format docs.
- Control center group changed to Network/Basic.
- 2.5.3
* Fri Jan 11 2002 - mvidner@suse.cz
- Using /etc/sysconfig/* instead of  /etc/rc.config* .
- Autoinstallation: properly signal a cancel.
- Updated help texts.
- 2.5.2
* Thu Dec 13 2001 - mvidner@suse.cz
- alpha version
